// Checkers3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* A simple basic world consisting of a checkboard floor, 
   with a red center square, and labelled XZ axes.

   A floating, shiny blue sphere is placed at the center.
*/
package j3d.examples.checkers;

import javax.swing.*;
import java.awt.*;

public class Checkers3Dnew extends JFrame {
    public Checkers3Dnew(String s) {
        super(s);
        this.setLayout(new BorderLayout());
        WrapCheckers3Dnew w3d = new WrapCheckers3Dnew(); // panel holding the 3D canvas
        this.add(w3d, BorderLayout.CENTER);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        pack();  //Good Housekeeping
        setVisible(true);
    } // end of Checkers3D() constructor

    public static void main(String[] args) {
        new Checkers3Dnew("Checkers3Dnew");
    }

} // end of Checkers3D class
