/*
 * Copyright (c) 2006, Your Corporation. All Rights Reserved.
 */

package sound.zrs.synth;

public class InputModel {

    private boolean allowMultipleConnections = false;
    private boolean allowEmpty = false;
    private String label;
    private GeneratorView parent;
    private boolean draw = true;

    public void init(GeneratorView parent, String label) {
        this.parent = parent;
        this.label = label;
    }

    public void init(GeneratorView parent, String label,
                     boolean draw, boolean allowMulti, boolean allowEmpty) {
        init(parent, label);
        this.draw = draw;
        this.allowMultipleConnections = allowMulti;
        this.allowEmpty = allowEmpty;
    }

    public boolean isAllowMultipleConnections() {
        return allowMultipleConnections;
    }

    public void setAllowMultipleConnections(boolean allowMultipleConnections) {
        this.allowMultipleConnections = allowMultipleConnections;
    }

    public boolean isAllowEmpty() {
        return allowEmpty;
    }

    public void setAllowEmpty(boolean allowEmpty) {
        this.allowEmpty = allowEmpty;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public GeneratorView getParent() {
        return parent;
    }

    public void setParent(GeneratorView parent) {
        this.parent = parent;
    }

    public boolean isDraw() {
        return draw;
    }

    public void setDraw(boolean draw) {
        this.draw = draw;
    }
}
